package cn.com.qmth.examcloud.core.basic.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.basic.api.DemoCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.GetXxxReq;
import cn.com.qmth.examcloud.core.basic.api.response.GetXxxResp;

/**
 * demo 云服务客户端
 * 
 * @author WANGWEI
 *
 */
@Service
public class DemoCloudServiceClient extends AbstractCloudClientSupport implements DemoCloudService {

	private static final long serialVersionUID = -7456923008162697199L;

	@Override
	public GetXxxResp getXxx(GetXxxReq req) {
		return post("demo/getXxx", req, GetXxxResp.class);
	}

}
