package cn.com.qmth.examcloud.core.basic.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年5月25日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class RoleBean implements JsonSerializable {

	private static final long serialVersionUID = -916123953402843015L;

	private Long roleId;

	private String roleCode;

	private String roleName;

	private Long rootOrgId;

	/**
	 * 构造函数
	 *
	 */
	public RoleBean() {
	}

	/**
	 * 构造函数
	 *
	 * @param rootOrgId
	 * @param roleId
	 * @param roleCode
	 * @param roleName
	 */
	public RoleBean(Long rootOrgId, Long roleId, String roleCode, String roleName) {
		super();
		this.rootOrgId = rootOrgId;
		this.roleId = roleId;
		this.roleCode = roleCode;
		this.roleName = roleName;
	}

	public Long getRoleId() {
		return roleId;
	}

	public void setRoleId(Long roleId) {
		this.roleId = roleId;
	}

	public String getRoleCode() {
		return roleCode;
	}

	public void setRoleCode(String roleCode) {
		this.roleCode = roleCode;
	}

	public String getRoleName() {
		return roleName;
	}

	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

}
