package cn.com.qmth.examcloud.core.basic.api.request;

import cn.com.qmth.examcloud.api.commons.exchange.BaseRequest;

public class GetStudentReq extends BaseRequest {

	private static final long serialVersionUID = 2135618523755240278L;

	/**
	 * 顶级机构ID
	 */
	private Long rootOrgId;

	/**
	 * 学生ID
	 */
	private Long studentId;

	/**
	 * 身份证号码
	 */
	private String identityNumber;

	/**
	 * 安全手机号码(用于登录)
	 */
	private String securityPhone;

	/**
	 * 学生code
	 */
	private String studentCode;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public String getSecurityPhone() {
		return securityPhone;
	}

	public void setSecurityPhone(String securityPhone) {
		this.securityPhone = securityPhone;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

}
