package cn.com.qmth.examcloud.examwork.api;

import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.examwork.api.request.DisposePublishingUserNoticeReq;
import cn.com.qmth.examcloud.examwork.api.request.UpdateNoticeStatusReq;
import cn.com.qmth.examcloud.examwork.api.response.DisposePublishingUserNoticeResp;
import cn.com.qmth.examcloud.examwork.api.response.GetNoticeRulePublishProgressListResp;
import io.swagger.annotations.ApiOperation;

public interface NoticeCloudService extends CloudService {

	@ApiOperation(value = "获取通知规则发布状态")
	GetNoticeRulePublishProgressListResp getToBeDisposedNoticeRulePublishProgressList();

	@ApiOperation(value = "处理发布中的用户通知数据")
	DisposePublishingUserNoticeResp disposePublishingUserNotice(DisposePublishingUserNoticeReq req);

	@ApiOperation(value = "清理过期的通知数据")
	void disposeOverdueNotice();

	@ApiOperation(value = "更新通知状态")
	void updateNoticeStatus(UpdateNoticeStatusReq updateNoticeStatusReq);
}
