package cn.com.qmth.examcloud.marking.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.marking.api.MarkResultCloudService;
import cn.com.qmth.examcloud.marking.api.request.GetMarkResultReq;
import cn.com.qmth.examcloud.marking.api.response.GetMarkResultPageResp;
import cn.com.qmth.examcloud.marking.api.response.GetMarkResultResp;

/**
 * @ClassName MarkResultCloudServiceClient
 * @Description TODO
 * @Author nikang
 * @Date 2018/9/27 9:16
 * @Version 3.0
 */
@Service
public class MarkResultCloudServiceClient extends AbstractCloudClientSupport
		implements
			MarkResultCloudService {

	private static final long serialVersionUID = -8231590717120316938L;

	@Override
	public GetMarkResultResp getMarkResult(GetMarkResultReq req) {
		return post("markResult/getMarkResult", req, GetMarkResultResp.class);
	}

	@Override
	public GetMarkResultPageResp getMarkResultPage(GetMarkResultReq req) {
		return post("markResult/getMarkResultPage", req, GetMarkResultPageResp.class);
	}
}
