package cn.com.qmth.examcloud.marking.api;

import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.marking.api.request.GetMarkWorkMainByIdsReq;
import cn.com.qmth.examcloud.marking.api.request.GetMarkWorkMarkerPageReq;
import cn.com.qmth.examcloud.marking.api.request.GetMarkWorkReq;
import cn.com.qmth.examcloud.marking.api.request.GetMarkersByWorkIdsReq;
import cn.com.qmth.examcloud.marking.api.request.SaveMarkWorkReq;
import cn.com.qmth.examcloud.marking.api.request.UpdateMarkWorkReq;
import cn.com.qmth.examcloud.marking.api.response.GetMarkWorkMainByIdsResp;
import cn.com.qmth.examcloud.marking.api.response.GetMarkWorkMarkerPageResp;
import cn.com.qmth.examcloud.marking.api.response.GetMarkWorkResp;
import cn.com.qmth.examcloud.marking.api.response.GetMarkersByWorkIdsResp;
import cn.com.qmth.examcloud.marking.api.response.SaveMarkWorkResp;
import cn.com.qmth.examcloud.marking.api.response.UpdateMarkWorkResp;

/**
 * @ClassName MarkWorkCloudService
 * @Author nikang
 * @Date 2018/11/26 13:41
 * @Version 3.0
 */
public interface MarkWorkCloudService extends CloudService {
    /**
     * 获取评卷工作集
     */
    GetMarkWorkResp getMarkWork(GetMarkWorkReq req);

    /**
     * 保存阅卷工作
     */
    SaveMarkWorkResp saveMarkWork(SaveMarkWorkReq req);

    /**
     * 更新阅卷工作
     */
    UpdateMarkWorkResp updateMarkWork(UpdateMarkWorkReq req);
    
    GetMarkWorkMarkerPageResp getMarkWorkMarkerPage(GetMarkWorkMarkerPageReq req);
    
    GetMarkWorkMainByIdsResp getMarkWorkMainByIds(GetMarkWorkMainByIdsReq req);
    
    GetMarkersByWorkIdsResp getMarkersByWorkIds(GetMarkersByWorkIdsReq req);
}
