package cn.com.qmth.examcloud.marking.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * @ClassName MarkResultBean
 * @Author nikang
 * @Date 2018/9/27 9:12
 * @Version 3.0
 */
public class MarkResultBean implements JsonSerializable {
    private static final long serialVersionUID = 5272188907376217931L;

    //评卷结果表主键Id
    private Long id;

    private String identityNumber;
    
    private Long userId;

    private Long markRangeId;

    private Long examRecordDataId;
    
    private Long studentPaperId;

    private Double score;

    private String studentId;

    private String tag;

    private String studentName;

    private String studentCode;

    private String courseCode;

    private String orgCode;

    private String paperType;

    private String paperId;

    private String courseName;

    private String orgName;

    private String userName;

    private Long workId;

    private String specialtyName;

    private String specialtyCode;

    /**
     * 学生答卷的主观题HTML
     */
    private String studentSubjectiveHtml;

    private String examType;

    private Long rootOrgId;

    //客观分
    private Double objectiveScore;
    //主观分
    private Double subjectvieScore;
    //总分
    private Double totalScore;
    //阅卷结果备注信息
    private String markRemark;

    private StudentPaperBean studentPaper;

    public MarkResultBean() {
    }

    public Double getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(Double objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public Double getSubjectvieScore() {
        return subjectvieScore;
    }

    public void setSubjectvieScore(Double subjectvieScore) {
        this.subjectvieScore = subjectvieScore;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getMarkRangeId() {
        return markRangeId;
    }

    public void setMarkRangeId(Long markRangeId) {
        this.markRangeId = markRangeId;
    }

    public Long getStudentPaperId() {
        return studentPaperId;
    }

    public void setStudentPaperId(Long studentPaperId) {
        this.studentPaperId = studentPaperId;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public String getStudentId() {
        return studentId;
    }

    public void setStudentId(String studentId) {
        this.studentId = studentId;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getPaperId() {
        return paperId;
    }

    public void setPaperId(String paperId) {
        this.paperId = paperId;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Long getWorkId() {
        return workId;
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    public String getSpecialtyName() {
        return specialtyName;
    }

    public void setSpecialtyName(String specialtyName) {
        this.specialtyName = specialtyName;
    }

    public String getSpecialtyCode() {
        return specialtyCode;
    }

    public void setSpecialtyCode(String specialtyCode) {
        this.specialtyCode = specialtyCode;
    }

    public String getStudentSubjectiveHtml() {
        return studentSubjectiveHtml;
    }

    public void setStudentSubjectiveHtml(String studentSubjectiveHtml) {
        this.studentSubjectiveHtml = studentSubjectiveHtml;
    }

    public String getExamType() {
        return examType;
    }

    public void setExamType(String examType) {
        this.examType = examType;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public String getMarkRemark() {
        return markRemark;
    }

    public void setMarkRemark(String markRemark) {
        this.markRemark = markRemark;
    }

    public StudentPaperBean getStudentPaper() {
        return studentPaper;
    }

    public void setStudentPaper(StudentPaperBean studentPaper) {
        this.studentPaper = studentPaper;
    }

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public Long getExamRecordDataId() {
		return examRecordDataId;
	}

	public void setExamRecordDataId(Long examRecordDataId) {
		this.examRecordDataId = examRecordDataId;
	}
    
    
}
