package cn.com.qmth.examcloud.core.oe.admin.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.oe.admin.api.ExamScoreCloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.QueryExamScoreReq;
import cn.com.qmth.examcloud.core.oe.admin.api.response.QueryExamScoreResp;

@Service
public class ExamScoreCloudServiceClient extends AbstractCloudClientSupport
		implements
			ExamScoreCloudService {

	private static final long serialVersionUID = -5079612325935269180L;

	@Override
	public QueryExamScoreResp queryExamScore(QueryExamScoreReq req) {
		return post("examScore/queryExamScore", req, QueryExamScoreResp.class);
	}

}
