package cn.com.qmth.examcloud.core.oe.admin.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * @Description 考试完成情况实体
 * @Author lideyin
 * @Date 2019/9/27 11:02
 * @Version 1.0
 */
public class ExamCompletionBean implements JsonSerializable{
	private static final long serialVersionUID = 563113829306909058L;

	//考试id
	private Long examId;
	//考试名称
	private String examName;
	//考试类型
	private String examType;
	//考试开始时间
	private String startTime;
	//考试结束时间
	private String endTime;
	//计划数量
	private long planNum;
	//完成数量
	private long completeNum;
	//完成百分比
	private long completePercent;

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getExamName() {
		return examName;
	}

	public void setExamName(String examName) {
		this.examName = examName;
	}

	public String getExamType() {
		return examType;
	}

	public void setExamType(String examType) {
		this.examType = examType;
	}

	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	public long getPlanNum() {
		return planNum;
	}

	public void setPlanNum(long planNum) {
		this.planNum = planNum;
	}

	public long getCompleteNum() {
		return completeNum;
	}

	public void setCompleteNum(long completeNum) {
		this.completeNum = completeNum;
	}

	public long getCompletePercent() {
		return completePercent;
	}

	public void setCompletePercent(long completePercent) {
		this.completePercent = completePercent;
	}
}
