package cn.com.qmth.examcloud.core.oe.admin.api.bean;

import java.util.Date;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * 
 * @author  	chenken
 * @date    	2018年10月15日 下午4:05:20
 * @company 	QMTH
 * @description 考试记录，学生信息，分数信息等数据
 */
public class ExamScoreDataBean  implements JsonSerializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -5176922468872092382L;
	
	private String examName;
	
	private Long examId;
	
	private String studentName;
	
	private String studentCode;
	
	private String identityNumber;
	
	private String courseName;
	
	private String courseCode;
	
	private Date startTime;
	
	private Date endTime;
	
	/**
	 * 人脸检测通过率
	 */
	private Double succPercent;
	
	/**
     * 是否缺考
     */
    private Boolean isMissExam;
	
	private Long scoreId;
	
	private Double totalScore;
	
	private Double objectiveScore;
	
	private Double subjectiveScore;
	/**
	 * 是否违纪
	 */
	private Boolean isIllegality;

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getStudentName() {
		return studentName;
	}

	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public Double getSuccPercent() {
		return succPercent;
	}

	public void setSuccPercent(Double succPercent) {
		this.succPercent = succPercent;
	}

	public Long getScoreId() {
		return scoreId;
	}

	public void setScoreId(Long scoreId) {
		this.scoreId = scoreId;
	}

	public Double getTotalScore() {
		return totalScore;
	}

	public void setTotalScore(Double totalScore) {
		this.totalScore = totalScore;
	}

	public Double getObjectiveScore() {
		return objectiveScore;
	}

	public void setObjectiveScore(Double objectiveScore) {
		this.objectiveScore = objectiveScore;
	}

	public Double getSubjectiveScore() {
		return subjectiveScore;
	}

	public void setSubjectiveScore(Double subjectiveScore) {
		this.subjectiveScore = subjectiveScore;
	}

	public Boolean getIsIllegality() {
		return isIllegality;
	}

	public void setIsIllegality(Boolean isIllegality) {
		this.isIllegality = isIllegality;
	}

	public String getExamName() {
		return examName;
	}

	public void setExamName(String examName) {
		this.examName = examName;
	}

	public Boolean getIsMissExam() {
		return isMissExam;
	}

	public void setIsMissExam(Boolean isMissExam) {
		this.isMissExam = isMissExam;
	}
	
}
