package cn.com.qmth.examcloud.core.oe.admin.api.bean;

/**
 * 
 * @author  	chenken
 * @date    	2018年10月16日 上午10:39:24
 * @company 	QMTH
 * @description 查询学生方式
 */
public enum FindStudentType {

	/**
	 * 根据examId
	 */
	BY_EXAMID("根据examId"),
	/**
	 * 根据examId和身份证集合
	 */
	BY_EXAMID_AND_IDENTITYNUMBERS("根据examId和身份证集合"),
	/**
	 * 根据rootOrgId和身份证集合 
	 */
	BY_IDENTITYNUMBERS_AND_ROOTORGID("根据rootOrgId和身份证集合"),
	/**
	 * 根据examId和学号集合
	 */
	BY_EXAMID_AND_STUDENTCODES("根据examId和学号集合");
	
	
	private FindStudentType(String desc){
		this.desc = desc;
	}
	
	private String desc;

	public String getDesc() {
		return desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}
	
}
