package cn.com.qmth.examcloud.core.oe.student.face.client;

import cn.com.qmth.examcloud.api.commons.exchange.BaseRequest;
import cn.com.qmth.examcloud.web.cloud.CloudClientSupport;

/**
 * @author WANGWEI
 *
 */
public abstract class AbstractCloudClientSupport extends CloudClientSupport {

	private static final String APP_NAME = "EC-CORE-OE-FACE";

	@Override
	protected String getRequestMappingPrefix() {
		return "api/core/oe/student/face";
	}

	protected void post(String requestMappingSuffix, BaseRequest body) {
		super.post(APP_NAME, requestMappingSuffix, body);
	}

	protected void post(String requestMappingSuffix) {
		super.post(APP_NAME, requestMappingSuffix);
	}

	protected <T> T post(String requestMappingSuffix, BaseRequest body, Class<T> responseType) {
		return super.post(APP_NAME, requestMappingSuffix, body, responseType);
	}

}
