package cn.com.qmth.examcloud.core.oe.student.face.api;


import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.core.oe.student.face.api.request.ExamCaptureQueueReq;

public interface ExamCaptureQueueCloudService extends CloudService{

	/**
	 * 处理考试抓拍照片队列
	 */
	public void processingExamCaptureQueue();
	
	/**
	 * 将超过XX分钟，还在处理中的状态修改为未处理
	 */
	public void changeExamCaptureQueueStatus();
	
	/**
	 * 根据examRecordDataId处理相关抓拍照片
	 * 用于考试结束或者考试被清理时
	 * @param examCaptureQueueReq
	 * @return
	 */
	public void disposeExamCapturePhoto(ExamCaptureQueueReq examCaptureQueueReq);
	
	/**
	 * 失败处理
	 */
	public void examCaptureQueueFailedDispose() throws Exception;
}
