package cn.com.qmth.examcloud.core.oe.websocket.api;
import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.core.oe.websocket.api.request.SendFileAnswerMessageReq;
import cn.com.qmth.examcloud.core.oe.websocket.api.request.SendScanQrCodeMessageReq;


public interface FileAnswerWebsocketCloudService extends CloudService{

	/**
	 * 发送音频答案
	 * @param sendMessageReq
	 * @throws Exception
	 */
	public void sendFileAnswerMessage(SendFileAnswerMessageReq sendFileAnswerMessageReq) throws Exception;
	/**
	 * 发送微信扫码状态信息
	 * @param eventType
	 * @param examRecordDataId
	 * @param questionId
	 */
	public void sendScanQrCodeMessage(SendScanQrCodeMessageReq sendScanQrCodeMessageReq);
}
