/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-16 16:20:56.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.api.client;

import cn.com.qmth.examcloud.api.commons.exchange.BaseRequest;
import cn.com.qmth.examcloud.web.cloud.CloudClientSupport;

/**
 * @author: fengdesheng
 * @since: 2018/10/22
 */
public abstract class AbstractCloudClientSupport extends CloudClientSupport {

	private static final String APP_NAME = "EC-CORE-PRINT";

	@Override
	protected String getRequestMappingPrefix() {
		return "api/core/prt";
	}

	protected void post(String requestMappingSuffix, BaseRequest body) {
		super.post(APP_NAME, requestMappingSuffix, body);
	}

	protected <T> T post(String requestMappingSuffix, BaseRequest body, Class<T> responseType) {
		return super.post(APP_NAME, requestMappingSuffix, body, responseType);
	}

}