/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-16 16:19:24.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.print.api.CoursePaperCloudService;
import cn.com.qmth.examcloud.core.print.api.request.SyncCoursePaperReq;
import cn.com.qmth.examcloud.core.print.api.response.SyncCoursePaperResp;

/**
 * @author: fengdesheng
 * @since: 2018/11/15
 */
@Service("coursePaperCloudServiceClient")
public class CoursePaperCloudServiceClient extends AbstractCloudClientSupport
		implements
			CoursePaperCloudService {
	private static final long serialVersionUID = 1L;

	@Override
	public SyncCoursePaperResp syncCoursePaper(SyncCoursePaperReq req) {
		return post("course/paper/save", req, SyncCoursePaperResp.class);
	}

}