package cn.com.qmth.examcloud.core.questions.api.client;

import cn.com.qmth.examcloud.api.commons.exchange.BaseRequest;
import cn.com.qmth.examcloud.web.cloud.CloudClientSupport;

/**
 * @author weiwenhai
 * @date 2018.8.15
 * @company qmth
 * @describle 调卷规则路径
 */
public abstract class AbstractCloudClientSupport extends CloudClientSupport {

	private static final String APP_NAME = "EC-CORE-QUESTION";

	@Override
	protected String getRequestMappingPrefix() {
		return "api/core/questions";
	}

	protected void post(String requestMappingSuffix, BaseRequest body) {
		super.post(APP_NAME, requestMappingSuffix, body);
	}

	protected <T> T post(String requestMappingSuffix, BaseRequest body, Class<T> responseType) {
		return super.post(APP_NAME, requestMappingSuffix, body, responseType);
	}

}
