package cn.com.qmth.examcloud.core.questions.api;

import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.core.questions.api.request.GetExtractConfigReq;
import cn.com.qmth.examcloud.core.questions.api.request.GetQuestionListReq;
import cn.com.qmth.examcloud.core.questions.api.response.GetCommonResp;
import cn.com.qmth.examcloud.core.questions.api.response.GetPaperResp;

/**
 * @author 		weiwenhai
 * @date 		2018.10.8
 * @company		qmth
 * @description	试卷对象远程调用请求接口
 */
public interface PaperCloudService extends CloudService{

	/**
	 * 根据试题id集合，进行组卷
	 * @param req
	 * @return
	 */
	GetPaperResp genPaper(GetQuestionListReq req);
	
	/**
	 * 制定考试试卷
	 * @param req
	 * @return
	 */
	GetCommonResp examPaper(GetExtractConfigReq req);
	
}
