package cn.com.qmth.examcloud.core.questions.api.response;

import cn.com.qmth.examcloud.api.commons.exchange.BaseResponse;
import cn.com.qmth.examcloud.question.commons.core.paper.DefaultPaper;

/**
 * @author 		weiwenhai
 * @date		2018.8.15
 * @company		qmth
 * @describle	调卷规则远程调用响应对象
 */
public class GetPaperResp extends BaseResponse{

	private static final long serialVersionUID = -8320558698331419566L;
	
	/**
     * 小题乱序
     * true:乱序
     * false：不乱序
     */
    private Boolean sortQuestionOrder;
    
    /**
     * 选项乱序
     * ture:乱序
     * false：不乱序
     */
    private Boolean sortOptionOrder;
    
    /**
     * 原试卷id
     */
    private String paperId;
    
    /**
     * 试卷结构
     */
    private DefaultPaper defaultPaper;
    
	public Boolean getSortQuestionOrder() {
		return sortQuestionOrder;
	}

	public void setSortQuestionOrder(Boolean sortQuestionOrder) {
		this.sortQuestionOrder = sortQuestionOrder;
	}

	public Boolean getSortOptionOrder() {
		return sortOptionOrder;
	}

	public void setSortOptionOrder(Boolean sortOptionOrder) {
		this.sortOptionOrder = sortOptionOrder;
	}

	public DefaultPaper getDefaultPaper() {
		return defaultPaper;
	}

	public void setDefaultPaper(DefaultPaper defaultPaper) {
		this.defaultPaper = defaultPaper;
	}

	public String getPaperId() {
		return paperId;
	}

	public void setPaperId(String paperId) {
		this.paperId = paperId;
	}
	
}
