package cn.com.qmth.examcloud.core.reports.api;

import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.core.reports.api.request.GetProjectInfoBeanReq;
import cn.com.qmth.examcloud.core.reports.api.request.UpdateProjectCourseOrgCountReq;
import cn.com.qmth.examcloud.core.reports.api.request.UpdateProjectStatusByIdsReq;
import cn.com.qmth.examcloud.core.reports.api.request.UpdateProjectStatusReq;
import cn.com.qmth.examcloud.core.reports.api.response.GetProjectInfoBeanResp;
import cn.com.qmth.examcloud.core.reports.api.response.UpdateProjectCourseOrgCountResp;
import cn.com.qmth.examcloud.core.reports.api.response.UpdateProjectStatusByIdsResp;
import cn.com.qmth.examcloud.core.reports.api.response.UpdateProjectStatusResp;

public interface ProjectCloudService extends CloudService {

	UpdateProjectStatusResp updateProjectStatus(UpdateProjectStatusReq req);

	UpdateProjectStatusByIdsResp updateProjectStatusByIds(UpdateProjectStatusByIdsReq req);

	GetProjectInfoBeanResp getProjectBean(GetProjectInfoBeanReq req);

	UpdateProjectCourseOrgCountResp updateProjectCourseOrgCount(UpdateProjectCourseOrgCountReq req);
}
