package cn.com.qmth.examcloud.exchange.inner.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.exchange.inner.api.UpyunCloudService;
import cn.com.qmth.examcloud.exchange.inner.api.request.DeleteFileReq;
import cn.com.qmth.examcloud.exchange.inner.api.request.PutFileReq;
import cn.com.qmth.examcloud.exchange.inner.api.response.DeleteFileResp;
import cn.com.qmth.examcloud.exchange.inner.api.response.PutFileResp;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年11月27日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Service
public class UpyunCloudServiceClient extends AbstractCloudClientSupport
		implements
			UpyunCloudService {

	private static final long serialVersionUID = -7928075025404055161L;

	@Override
	public PutFileResp putFile(PutFileReq req) {
		return postForm("upyun/putFile", req, PutFileResp.class);
	}

	@Override
	public DeleteFileResp deleteFile(DeleteFileReq req) {
		return post("upyun/deleteFile", req, DeleteFileResp.class);
	}

}
