package cn.com.qmth.examcloud.task.api.request;

import cn.com.qmth.examcloud.api.commons.exchange.BaseRequest;

/**
 * 同步请求基类
 *
 * @author WANGWEI
 * @date 2018年9月18日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public abstract class SyncBaseRequest extends BaseRequest {

	private static final long serialVersionUID = -8613637552589526722L;

	/**
	 * 同步类型. "update","delete"
	 */
	private String syncType;

	public String getSyncType() {
		return syncType;
	}

	public void setSyncType(String syncType) {
		this.syncType = syncType;
	}

}
