package cn.com.qmth.examcloud.core.basic.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.basic.api.AuthCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.LoginReq;
import cn.com.qmth.examcloud.core.basic.api.response.LoginResp;

@Service
public class AuthCloudServiceClient extends AbstractCloudClientSupport implements AuthCloudService {

	private static final long serialVersionUID = -4571389823902680911L;

	@Override
	public LoginResp login(LoginReq req) {
		return post("auth/login", req, LoginResp.class);
	}
}
