package cn.com.qmth.examcloud.core.basic.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.basic.api.SystemPropertyCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.GetSystemPropertyReq;
import cn.com.qmth.examcloud.core.basic.api.request.SetSystemPropertyReq;
import cn.com.qmth.examcloud.core.basic.api.response.GetSystemPropertyResp;
import cn.com.qmth.examcloud.core.basic.api.response.SetSystemPropertyResp;

@Service
public class SystemPropertyCloudServiceClient extends AbstractCloudClientSupport
		implements
			SystemPropertyCloudService {

	private static final long serialVersionUID = -1572107451517177867L;

	@Override
	public SetSystemPropertyResp setSystemProperty(SetSystemPropertyReq req) {
		return post("systemProperty/setSystemProperty", req, SetSystemPropertyResp.class);
	}

	@Override
	public GetSystemPropertyResp getSystemProperty(GetSystemPropertyReq req) {
		return post("systemProperty/getSystemProperty", req, GetSystemPropertyResp.class);
	}

}
