package cn.com.qmth.examcloud.core.basic.api;

import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.core.basic.api.request.AddUserReq;
import cn.com.qmth.examcloud.core.basic.api.request.GetUserListByIdsReq;
import cn.com.qmth.examcloud.core.basic.api.request.GetAllUsersByRoleReq;
import cn.com.qmth.examcloud.core.basic.api.request.GetUserReq;
import cn.com.qmth.examcloud.core.basic.api.response.AddUserResp;
import cn.com.qmth.examcloud.core.basic.api.response.GetUserListByIdsResp;
import cn.com.qmth.examcloud.core.basic.api.response.GetAllUsersByRoleResp;
import cn.com.qmth.examcloud.core.basic.api.response.GetUserResp;

/**
 * 学生接口服务
 * 
 * @author chenken
 * @date 2018年5月4日 下午5:10:40
 * @company QMTH
 * @description StudentCloudService.java
 */
public interface UserCloudService extends CloudService {

	/**
	 * 方法注释
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	AddUserResp addUser(AddUserReq req);

	/**
	 * 方法注释
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	GetUserResp getUser(GetUserReq req);

	/**
	 * 方法注释
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	GetAllUsersByRoleResp getAllUsersByRole(GetAllUsersByRoleReq req);

	/**
	 * 方法注释
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	GetUserListByIdsResp getUserListByIds(GetUserListByIdsReq req);

}
