package cn.com.qmth.examcloud.examwork.api.request;

import cn.com.qmth.examcloud.api.commons.exchange.BaseRequest;

/**
 * @author chenken
 * @date 2018年5月2日 下午3:44:54
 * @company QMTH
 * @description ExamReq.java
 */
public class GetExamReq extends BaseRequest {

	private static final long serialVersionUID = -5832266903859887508L;

	/**
	 * 考试ID
	 */
	private Long id;

	/**
	 * 机构ID
	 */
	private Long rootOrgId;

	/**
	 * 考试编码
	 */
	private String code;

	/**
	 * 考试名称
	 */
	private String name;

	/**
	 * 机构ID(机构特殊配置不为空时覆盖考试信息)
	 */
	private Long orgId;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

}
