package cn.com.qmth.examcloud.examwork.api.request;

import java.util.List;

import cn.com.qmth.examcloud.api.commons.exchange.BaseRequest;
import cn.com.qmth.examcloud.examwork.api.bean.ExamStudentBean4Reset;

public class ResetExamStudentReq extends BaseRequest {
	private static final long serialVersionUID = -3345828495780736535L;

	private Long rootOrgId;

	private Long examId;

	private String examName;

	private String examCode;

	/**
	 * 学生ID
	 */
	private Long studentId;

	/**
	 * 学生姓名
	 */
	private String studentName;

	/**
	 * 学生学号
	 */
	private String studentCode;

	/**
	 * 学生身份证号
	 */
	private String identityNumber;

	private List<ExamStudentBean4Reset> examStudentList;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getExamCode() {
		return examCode;
	}

	public void setExamCode(String examCode) {
		this.examCode = examCode;
	}

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public String getStudentName() {
		return studentName;
	}

	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public List<ExamStudentBean4Reset> getExamStudentList() {
		return examStudentList;
	}

	public void setExamStudentList(List<ExamStudentBean4Reset> examStudentList) {
		this.examStudentList = examStudentList;
	}

	public String getExamName() {
		return examName;
	}

	public void setExamName(String examName) {
		this.examName = examName;
	}

}
