package cn.com.qmth.examcloud.marking.api.client;

import cn.com.qmth.examcloud.api.commons.exchange.BaseRequest;
import cn.com.qmth.examcloud.web.cloud.CloudClientSupport;

/**
 * @ClassName BasicCloudClientSupport
 * @Description TODO
 * @Author nikang
 * @Date 2018/8/31 14:27
 * @Version 2.0
 */
public abstract class AbstractCloudClientSupport extends CloudClientSupport {

	private static final String APP_NAME = "EC-CORE-MARKING";

	@Override
	protected String getRequestMappingPrefix() {
		return "api/core/marking";
	}

	protected void post(String requestMappingSuffix, BaseRequest body) {
		super.post(APP_NAME, requestMappingSuffix, body);
	}

	protected <T> T post(String requestMappingSuffix, BaseRequest body, Class<T> responseType) {
		return super.post(APP_NAME, requestMappingSuffix, body, responseType);
	}

}
