package cn.com.qmth.examcloud.marking.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.marking.api.MarkTaskCloudService;
import cn.com.qmth.examcloud.marking.api.request.GetMarkTaskReq;
import cn.com.qmth.examcloud.marking.api.request.SaveMarkTaskReq;
import cn.com.qmth.examcloud.marking.api.request.UpdateMarkTaskReq;
import cn.com.qmth.examcloud.marking.api.response.GetMarkTaskResp;
import cn.com.qmth.examcloud.marking.api.response.SaveMarkTaskResp;
import cn.com.qmth.examcloud.marking.api.response.UpdateMarkTaskResp;

/**
 * @ClassName MarkTaskCloudServiceClient
 * @Description TODO
 * @Author nikang
 * @Date 2018/11/27 17:21
 * @Version 3.0
 */
@Service
public class MarkTaskCloudServiceClient extends AbstractCloudClientSupport
		implements
			MarkTaskCloudService {

	private static final long serialVersionUID = 3713704339599845609L;

	@Override
	public GetMarkTaskResp getMarkTask(GetMarkTaskReq req) {
		return post("markTask/getMarkTask", req, GetMarkTaskResp.class);
	}

	@Override
	public SaveMarkTaskResp saveMarkTask(SaveMarkTaskReq req) {
		return post("markTask/saveMarkTask", req, SaveMarkTaskResp.class);
	}

	@Override
	public UpdateMarkTaskResp updateMarkTask(UpdateMarkTaskReq req) {
		return post("markTask/updateMarkTask", req, UpdateMarkTaskResp.class);
	}
}
