package cn.com.qmth.examcloud.marking.api.bean;

import java.util.Date;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * @ClassName MarkWorkBean
 * @Author nikang
 * @Date 2018/11/26 11:32
 * @Version 3.0
 */
public class MarkWorkBean implements JsonSerializable {
    private static final long serialVersionUID = -4913141821109915639L;
    private Long id;

    private String name;

    private Date createdOn;

    private String examId;

    private String remark;

    private Long totalStudentPaper;

    private Long markedStudentPaper;

    private Long totalCourse;

    private Long markedCourse;

    private Long totalMarkItem;

    private double progress;

    private int status;

    private Long rootOrgId;

    private Long userId;

    private String examName;

    private String examType;
    
    private Boolean isEnd;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public String getExamId() {
        return examId;
    }

    public void setExamId(String examId) {
        this.examId = examId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getTotalStudentPaper() {
        return totalStudentPaper;
    }

    public void setTotalStudentPaper(Long totalStudentPaper) {
        this.totalStudentPaper = totalStudentPaper;
    }

    public Long getMarkedStudentPaper() {
        return markedStudentPaper;
    }

    public void setMarkedStudentPaper(Long markedStudentPaper) {
        this.markedStudentPaper = markedStudentPaper;
    }

    public Long getTotalCourse() {
        return totalCourse;
    }

    public void setTotalCourse(Long totalCourse) {
        this.totalCourse = totalCourse;
    }

    public Long getMarkedCourse() {
        return markedCourse;
    }

    public void setMarkedCourse(Long markedCourse) {
        this.markedCourse = markedCourse;
    }

    public Long getTotalMarkItem() {
        return totalMarkItem;
    }

    public void setTotalMarkItem(Long totalMarkItem) {
        this.totalMarkItem = totalMarkItem;
    }

    public double getProgress() {
        return progress;
    }

    public void setProgress(double progress) {
        this.progress = progress;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getExamType() {
        return examType;
    }

    public void setExamType(String examType) {
        this.examType = examType;
    }

    public MarkWorkBean() {

    }

	public Boolean getIsEnd() {
		return isEnd;
	}

	public void setIsEnd(Boolean isEnd) {
		this.isEnd = isEnd;
	}
    
}
