package cn.com.qmth.examcloud.marking.api.response;

import java.util.List;

import cn.com.qmth.examcloud.api.commons.exchange.BaseResponse;
import cn.com.qmth.examcloud.marking.api.bean.MarkWorkMarkerBean;

public class GetMarkWorkMarkerPageResp extends BaseResponse {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1373915877939890791L;

	/**
	 * 当前页码
	 */
	private long index;

	/**
	 * 每页的数量
	 */
	private long limit;

	/**
	 * 当前页的数量
	 */
	private long size;

	/**
	 * 总记录数
	 */
	private long total;

	/**
	 * 总页数
	 */
	private long pages;

	/**
	 * 结果集
	 */
	private List<MarkWorkMarkerBean> list;

	public long getIndex() {
		return index;
	}

	public void setIndex(long index) {
		this.index = index;
	}

	public long getLimit() {
		return limit;
	}

	public void setLimit(long limit) {
		this.limit = limit;
	}

	public long getSize() {
		return size;
	}

	public void setSize(long size) {
		this.size = size;
	}

	public long getTotal() {
		return total;
	}

	public void setTotal(long total) {
		this.total = total;
	}

	public long getPages() {
		return pages;
	}

	public void setPages(long pages) {
		this.pages = pages;
	}

	public List<MarkWorkMarkerBean> getList() {
		return list;
	}

	public void setList(List<MarkWorkMarkerBean> list) {
		this.list = list;
	}

}
