package cn.com.qmth.examcloud.core.oe.admin.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.oe.admin.api.ExamScoreObtainQueueCloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.DeleteExamScoreQueueReq;
import cn.com.qmth.examcloud.core.oe.admin.api.request.GetTopExamScoreQueueReq;
import cn.com.qmth.examcloud.core.oe.admin.api.response.GetTopExamScoreQueueResp;

@Service
public class ExamScoreObtainQueueCloudServiceClient extends AbstractCloudClientSupport
		implements
			ExamScoreObtainQueueCloudService {

	private static final long serialVersionUID = 7442463539981662202L;

	@Override
	public GetTopExamScoreQueueResp getTopExamScoreQueue(GetTopExamScoreQueueReq req) {
		return post("examScoreObtainQueue/getTopExamScoreQueue", req,
				GetTopExamScoreQueueResp.class);
	}

	@Override
	public void deleteExamScoreQueue(DeleteExamScoreQueueReq req) {
		post("examScoreObtainQueue/deleteExamScoreQueue", req);
	}

}
