package cn.com.qmth.examcloud.core.oe.admin.api;


import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.FindExamRecordForMarkingInfoReq;
import cn.com.qmth.examcloud.core.oe.admin.api.request.QueryValidExamRecordInfoPageReq;
import cn.com.qmth.examcloud.core.oe.admin.api.request.QueryValidExamRecordInfoReq;
import cn.com.qmth.examcloud.core.oe.admin.api.response.FindExamRecordForMarkingInfoResp;
import cn.com.qmth.examcloud.core.oe.admin.api.response.QueryValidExamRecordInfoPageResp;
import cn.com.qmth.examcloud.core.oe.admin.api.response.QueryValidExamRecordInfoResp;

public interface ExamRecordForMarkingCloudService extends CloudService{

	/**
	 * 获取试卷信息
	 * @param findExamRecordForMarkingInfoReq
	 * @return
	 */
	public FindExamRecordForMarkingInfoResp findExamRecordForMarkingInfo(FindExamRecordForMarkingInfoReq findExamRecordForMarkingInfoReq);
	
	/**
	 * 获取学生有效考试记录
	 * @param req
	 * @return
	 */
	public QueryValidExamRecordInfoResp queryValidExamRecordInfo(QueryValidExamRecordInfoReq req);
	/**
	 * 分页获取学生有效考试记录
	 * @param req
	 * @return
	 */
	public QueryValidExamRecordInfoPageResp queryValidExamRecordInfoPage(QueryValidExamRecordInfoPageReq req);
}
