package cn.com.qmth.examcloud.core.oe.admin.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * 
 * @author  	chenken
 * @date    	2018年10月15日 下午4:54:16
 * @company 	QMTH
 * @description 考试分数
 */
public class ExamScoreBean implements JsonSerializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -4888665934064569010L;

	private Long id;

    /**
     * 考试记录
     */
    private Long examRecordDataId;

    /**
     * 总分
     */
    private Double totalScore;

    /**
     * 客观题得分总分
     */
    private Double objectiveScore;

    /**
     * 客观题答对的比率
     * (客观题答对的题数/客观题总题数)*100  取2位小数
     */
    private Double objectiveAccuracy;

    /**
     * 主观题得分总分
     */
    private Double subjectiveScore;

    /**
     * 答题正确率
     */
    private Double succPercent;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getExamRecordDataId() {
		return examRecordDataId;
	}

	public void setExamRecordDataId(Long examRecordDataId) {
		this.examRecordDataId = examRecordDataId;
	}

	public Double getTotalScore() {
		return totalScore;
	}

	public void setTotalScore(Double totalScore) {
		this.totalScore = totalScore;
	}

	public Double getObjectiveScore() {
		return objectiveScore;
	}

	public void setObjectiveScore(Double objectiveScore) {
		this.objectiveScore = objectiveScore;
	}

	public Double getObjectiveAccuracy() {
		return objectiveAccuracy;
	}

	public void setObjectiveAccuracy(Double objectiveAccuracy) {
		this.objectiveAccuracy = objectiveAccuracy;
	}

	public Double getSubjectiveScore() {
		return subjectiveScore;
	}

	public void setSubjectiveScore(Double subjectiveScore) {
		this.subjectiveScore = subjectiveScore;
	}

	public Double getSuccPercent() {
		return succPercent;
	}

	public void setSuccPercent(Double succPercent) {
		this.succPercent = succPercent;
	}
    
}
