package cn.com.qmth.examcloud.core.oe.websocket.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.oe.websocket.api.FileAnswerWebsocketCloudService;
import cn.com.qmth.examcloud.core.oe.websocket.api.request.SendFileAnswerMessageReq;
import cn.com.qmth.examcloud.core.oe.websocket.api.request.SendScanQrCodeMessageReq;


@Service("fileAnswerWebsocketCloudService")
public class FileAnswerWebsocketCloudServiceClient extends AbstractCloudClientSupport implements FileAnswerWebsocketCloudService {

	/**
	 * 
	 */
	private static final long serialVersionUID = -183204183805080432L;

	@Override
	public void sendFileAnswerMessage(SendFileAnswerMessageReq sendMessageReq) throws Exception {
		post("fileAnswerWebsocket/sendFileAnswerMessage",sendMessageReq);
	}

	@Override
	public void sendScanQrCodeMessage(SendScanQrCodeMessageReq sendScanQrCodeMessageReq) {
		post("fileAnswerWebsocket/sendScanQrCodeMessage",sendScanQrCodeMessageReq);
		
	}


}
