package cn.com.qmth.examcloud.core.reports.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.reports.api.ExamOrgReportCloudService;
import cn.com.qmth.examcloud.core.reports.api.request.DeleteExamOrgReportByProjectReq;
import cn.com.qmth.examcloud.core.reports.api.request.SaveExamOrgReportListReq;
import cn.com.qmth.examcloud.core.reports.api.response.DeleteExamOrgReportByProjectResp;
import cn.com.qmth.examcloud.core.reports.api.response.SaveExamOrgReportListResp;

@Service
public class ExamOrgReportCloudServiceClient extends AbstractCloudClientSupport implements ExamOrgReportCloudService {

	/**
	 * 
	 */
	private static final long serialVersionUID = -1438192483543226631L;

	@Override
	public SaveExamOrgReportListResp saveExamOrgReportList(SaveExamOrgReportListReq req) {
		return post("examOrgReport/saveList", req, SaveExamOrgReportListResp.class);
	}

	@Override
	public DeleteExamOrgReportByProjectResp deleteExamOrgReportByProject(DeleteExamOrgReportByProjectReq req) {
		return post("examOrgReport/deleteByProject", req, DeleteExamOrgReportByProjectResp.class);
	}

}
