package cn.com.qmth.examcloud.core.reports.api.bean;

import java.util.ArrayList;
import java.util.List;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

public class ExamCourseDataReportBean implements JsonSerializable {
    /**
	 * 
	 */
	private static final long serialVersionUID = -9143760541458113064L;
	private Long projectId;
	//rootOrgId
    private Long rootOrgId;
    //考试id
    private Long examId;
    //考试名称
    private String examName;
    //考试code
    private String examCode;
    //课程id
    private Long courseId;
    //课程名称
    private String courseName;
    //课程code
    private String courseCode;
    //满分
    private Double totalScore;
    //最高分
    private Double maxScore;
    //最低分
    private Double minScore;
    //平均分
    private Double avgScore;
    //标准差
    private Double std;
    //平均调卷难度
    private Double avgDifficultyDegree;
    //差异系数
    private Double cdi;
    //报名人数
    private Long signCount;
    //考试人数
    private Long participantCount;
    //满分人数
    private Long fullCount;
    //零分人数
    private Long zeroCount;
    //及格人数
    private Long passCount;
    //分段人数数据
	private List<Long> partitionData;
	
	public Long getProjectId() {
		return projectId;
	}
	public void setProjectId(Long projectId) {
		this.projectId = projectId;
	}
	public Long getRootOrgId() {
		return rootOrgId;
	}
	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}
	public Long getCourseId() {
		return courseId;
	}
	public void setCourseId(Long courseId) {
		this.courseId = courseId;
	}
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
	public String getCourseCode() {
		return courseCode;
	}
	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}
	public Double getTotalScore() {
		return totalScore;
	}
	public void setTotalScore(Double totalScore) {
		this.totalScore = totalScore;
	}
	public Double getMaxScore() {
		return maxScore;
	}
	public void setMaxScore(Double maxScore) {
		this.maxScore = maxScore;
	}
	public Double getMinScore() {
		return minScore;
	}
	public void setMinScore(Double minScore) {
		this.minScore = minScore;
	}
	public Double getAvgScore() {
		return avgScore;
	}
	public void setAvgScore(Double avgScore) {
		this.avgScore = avgScore;
	}
	public Double getStd() {
		return std;
	}
	public void setStd(Double std) {
		this.std = std;
	}
	public Double getAvgDifficultyDegree() {
		return avgDifficultyDegree;
	}
	public void setAvgDifficultyDegree(Double avgDifficultyDegree) {
		this.avgDifficultyDegree = avgDifficultyDegree;
	}
	public Double getCdi() {
		return cdi;
	}
	public void setCdi(Double cdi) {
		this.cdi = cdi;
	}
	public Long getParticipantCount() {
		return participantCount;
	}
	public void setParticipantCount(Long participantCount) {
		this.participantCount = participantCount;
	}
	public Long getFullCount() {
		return fullCount;
	}
	public void setFullCount(Long fullCount) {
		this.fullCount = fullCount;
	}
	public Long getZeroCount() {
		return zeroCount;
	}
	public void setZeroCount(Long zeroCount) {
		this.zeroCount = zeroCount;
	}
	public Long getPassCount() {
		return passCount;
	}
	public void setPassCount(Long passCount) {
		this.passCount = passCount;
	}
	public List<Long> getPartitionData() {
		return partitionData;
	}
	public void setPartitionData(List<Long> partitionData) {
		this.partitionData = partitionData;
	}
	public Long getExamId() {
		return examId;
	}
	public void setExamId(Long examId) {
		this.examId = examId;
	}
	public String getExamName() {
		return examName;
	}
	public void setExamName(String examName) {
		this.examName = examName;
	}
	public String getExamCode() {
		return examCode;
	}
	public void setExamCode(String examCode) {
		this.examCode = examCode;
	}
	
	public Long getSignCount() {
		return signCount;
	}
	public void setSignCount(Long signCount) {
		this.signCount = signCount;
	}
	public void init(int partitionCount) {
		this.setMaxScore(0.0);
		this.setMinScore(null);
		this.setAvgScore(0.0);
		this.setSignCount(0l);
		this.setParticipantCount(0l);
		this.setFullCount(0l);
		this.setZeroCount(0l);
		this.setPassCount(0l);
		List<Long> partitionData=new ArrayList<Long>();
		for(int i=0;i<partitionCount;i++) {
			partitionData.add(0l);
		}
		this.setPartitionData(partitionData);
	}
}
