package cn.com.qmth.examcloud.core.reports.api.bean;

import java.util.ArrayList;
import java.util.List;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

public class ExamOrgReportBean implements JsonSerializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7793840397484755198L;
	private Long projectId;
	private Long rootOrgId;
	private Long examId;
	private Long orgId;
	private String examName;
	private String examCode;
	private String orgName;
	private String orgCode;
	//报名人数
	private Long signCount;
	//实考人数
	private Long participantCount;
	//及格人数
	private Long passCount;
	//分段数据
	private List<Long> partitionData;
	public Long getProjectId() {
		return projectId;
	}
	public void setProjectId(Long projectId) {
		this.projectId = projectId;
	}
	public Long getRootOrgId() {
		return rootOrgId;
	}
	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}
	public String getExamName() {
		return examName;
	}
	public void setExamName(String examName) {
		this.examName = examName;
	}
	public String getExamCode() {
		return examCode;
	}
	public void setExamCode(String examCode) {
		this.examCode = examCode;
	}
	public String getOrgName() {
		return orgName;
	}
	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}
	public String getOrgCode() {
		return orgCode;
	}
	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}
	public Long getSignCount() {
		return signCount;
	}
	public void setSignCount(Long signCount) {
		this.signCount = signCount;
	}
	public Long getParticipantCount() {
		return participantCount;
	}
	public void setParticipantCount(Long participantCount) {
		this.participantCount = participantCount;
	}
	public Long getPassCount() {
		return passCount;
	}
	public void setPassCount(Long passCount) {
		this.passCount = passCount;
	}
	public List<Long> getPartitionData() {
		return partitionData;
	}
	public void setPartitionData(List<Long> partitionData) {
		this.partitionData = partitionData;
	}
	public Long getExamId() {
		return examId;
	}
	public void setExamId(Long examId) {
		this.examId = examId;
	}
	public Long getOrgId() {
		return orgId;
	}
	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}
	
	public void init(int partitionCount) {
		this.setSignCount(0l);
		this.setParticipantCount(0l);
		this.setPassCount(0l);
		List<Long> partitionData=new ArrayList<Long>();
		for(int i=0;i<partitionCount;i++) {
			partitionData.add(0l);
		}
		this.setPartitionData(partitionData);
	}
	
}
