package cn.com.qmth.examcloud.core.reports.api.bean;

import java.util.List;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;


public class ProjectInfoBean implements JsonSerializable {


	/**
	 * 
	 */
	private static final long serialVersionUID = 7971467651517420431L;

	private Long id;
	
    private String name;
    
    private Long rootOrgId;
    
    //分析类型
    private String analyseType;
    
    //数据来源
    private String dataOrigin;
    
    private Integer sampleCount;
    
    //所选考试id
    private String examIds;
    
    //备注
    private String remarks;
    
    private Boolean enable;
    
    //报表状态
    private String reportStatus;
    
    //中心数量
    private Integer orgCount;
    
    //课程数量
    private Integer courseCount;
    
    //及格分数
    private Double passScore;
    
    //满分分数
    private Double totalScore;
    
    //分数段数量
    private Integer partitionCount;
    
    //分数段详情
    private List<Double> partitionDetails;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public String getAnalyseType() {
		return analyseType;
	}

	public void setAnalyseType(String analyseType) {
		this.analyseType = analyseType;
	}

	public String getDataOrigin() {
		return dataOrigin;
	}

	public void setDataOrigin(String dataOrigin) {
		this.dataOrigin = dataOrigin;
	}

	public Integer getSampleCount() {
		return sampleCount;
	}

	public void setSampleCount(Integer sampleCount) {
		this.sampleCount = sampleCount;
	}

	public String getExamIds() {
		return examIds;
	}

	public void setExamIds(String examIds) {
		this.examIds = examIds;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

	public String getReportStatus() {
		return reportStatus;
	}

	public void setReportStatus(String reportStatus) {
		this.reportStatus = reportStatus;
	}

	public Integer getOrgCount() {
		return orgCount;
	}

	public void setOrgCount(Integer orgCount) {
		this.orgCount = orgCount;
	}

	public Integer getCourseCount() {
		return courseCount;
	}

	public void setCourseCount(Integer courseCount) {
		this.courseCount = courseCount;
	}

	public Double getPassScore() {
		return passScore;
	}

	public void setPassScore(Double passScore) {
		this.passScore = passScore;
	}

	public Double getTotalScore() {
		return totalScore;
	}

	public void setTotalScore(Double totalScore) {
		this.totalScore = totalScore;
	}

	public Integer getPartitionCount() {
		return partitionCount;
	}

	public void setPartitionCount(Integer partitionCount) {
		this.partitionCount = partitionCount;
	}

	public List<Double> getPartitionDetails() {
		return partitionDetails;
	}

	public void setPartitionDetails(List<Double> partitionDetails) {
		this.partitionDetails = partitionDetails;
	}

    
}
