package cn.com.qmth.examcloud.exchange.inner.api.client;

import cn.com.qmth.examcloud.api.commons.exchange.BaseRequest;
import cn.com.qmth.examcloud.api.commons.exchange.FormRequest;
import cn.com.qmth.examcloud.web.cloud.CloudClientSupport;

/**
 * @author WANGWEI
 *
 */
public abstract class AbstractCloudClientSupport extends CloudClientSupport {

	private static final String APP_NAME = "EC-EXCHANGE";

	@Override
	protected String getRequestMappingPrefix() {
		return "api/exchange/inner";
	}

	protected void post(String requestMappingSuffix, BaseRequest body) {
		super.post(APP_NAME, requestMappingSuffix, body);
	}

	protected <T> T post(String requestMappingSuffix, BaseRequest body, Class<T> responseType) {
		return super.post(APP_NAME, requestMappingSuffix, body, responseType);
	}

	protected <T> T postForm(String requestMappingSuffix, FormRequest req, Class<T> responseType) {
		return super.postForm(APP_NAME, requestMappingSuffix, req, responseType);
	}

}
