package cn.com.qmth.examcloud.exchange.inner.api;

import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.exchange.inner.api.request.CheckSmsCodeReq;
import cn.com.qmth.examcloud.exchange.inner.api.request.SendSmsCodeReq;
import cn.com.qmth.examcloud.exchange.inner.api.request.SendSmsReq;
import cn.com.qmth.examcloud.exchange.inner.api.response.CheckSmsCodeResp;
import cn.com.qmth.examcloud.exchange.inner.api.response.SendSmsCodeResp;
import cn.com.qmth.examcloud.exchange.inner.api.response.SendSmsResp;


/**
 * 发送短信服务
 */
public interface SmsCloudService extends CloudService {

    /**
     * 发送短信
     *
     * @param req
     * @return
     * @author WANGWEI
     */
    SendSmsResp sendSms(SendSmsReq req);

    /**
     * 发送验证码
     */
    SendSmsCodeResp sendSmsCode(SendSmsCodeReq sendSmsCodeReq);

    /**
     * 校验验证码
     *
     * @param phone
     * @param code
     */
    CheckSmsCodeResp checkSmsCode(CheckSmsCodeReq checkSmsCodeReq);
}
